cURL
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authnIdentifiers": {
"value": "Johny@example.com",
"mfaEnabled": false,
"primary": true
},
"displayName": "Johny",
"firstName": "John",
"lastName": "Smith"
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser"
payload = {
"authnIdentifiers": {
"value": "Johny@example.com",
"mfaEnabled": False,
"primary": True
},
"displayName": "Johny",
"firstName": "John",
"lastName": "Smith"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authnIdentifiers: {value: 'Johny@example.com', mfaEnabled: false, primary: true},
displayName: 'Johny',
firstName: 'John',
lastName: 'Smith'
})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'authnIdentifiers' => [
'value' => 'Johny@example.com',
'mfaEnabled' => false,
'primary' => true
],
'displayName' => 'Johny',
'firstName' => 'John',
'lastName' => 'Smith'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser"
payload := strings.NewReader("{\n \"authnIdentifiers\": {\n \"value\": \"Johny@example.com\",\n \"mfaEnabled\": false,\n \"primary\": true\n },\n \"displayName\": \"Johny\",\n \"firstName\": \"John\",\n \"lastName\": \"Smith\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"authnIdentifiers\": {\n \"value\": \"Johny@example.com\",\n \"mfaEnabled\": false,\n \"primary\": true\n },\n \"displayName\": \"Johny\",\n \"firstName\": \"John\",\n \"lastName\": \"Smith\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"authnIdentifiers\": {\n \"value\": \"Johny@example.com\",\n \"mfaEnabled\": false,\n \"primary\": true\n },\n \"displayName\": \"Johny\",\n \"firstName\": \"John\",\n \"lastName\": \"Smith\"\n}"
response = http.request(request)
puts response.read_body{
"authnIdentifier": "Johny@example.com",
"userId": 2345,
"message": {
"dispatcherName": "emailService",
"destination": "Johny@example.com",
"tenantId": "nxt",
"locale": "en",
"smsTemplate": "sms_template",
"emailHeaderTemplate": "email_header_template",
"emailBodyTemplate": "email_body_template",
"dispatcherParameters": {},
"templatesParams": {}
}
}{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid-input-error",
"message": "No primary authentication identifier provided"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "already-exist-email",
"message": "email already exists"
}
]
}Post activationadduser
Creates new User.<br><br>Mandatory Fields:<br>- authnIdentifiers value - email or mobile number of the user<br>- authnIdentifiers primary - must always be set to true<br><br>Optional Fields:<br>- displayName<br>- firstName<br>- lastName<br>- authnIdentifers mfaEnabled - when the value is set to true, the authnIdentifiers value will be used as the second factor during authentication.
POST
/
activation
/
addUser
cURL
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authnIdentifiers": {
"value": "Johny@example.com",
"mfaEnabled": false,
"primary": true
},
"displayName": "Johny",
"firstName": "John",
"lastName": "Smith"
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser"
payload = {
"authnIdentifiers": {
"value": "Johny@example.com",
"mfaEnabled": False,
"primary": True
},
"displayName": "Johny",
"firstName": "John",
"lastName": "Smith"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authnIdentifiers: {value: 'Johny@example.com', mfaEnabled: false, primary: true},
displayName: 'Johny',
firstName: 'John',
lastName: 'Smith'
})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'authnIdentifiers' => [
'value' => 'Johny@example.com',
'mfaEnabled' => false,
'primary' => true
],
'displayName' => 'Johny',
'firstName' => 'John',
'lastName' => 'Smith'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser"
payload := strings.NewReader("{\n \"authnIdentifiers\": {\n \"value\": \"Johny@example.com\",\n \"mfaEnabled\": false,\n \"primary\": true\n },\n \"displayName\": \"Johny\",\n \"firstName\": \"John\",\n \"lastName\": \"Smith\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"authnIdentifiers\": {\n \"value\": \"Johny@example.com\",\n \"mfaEnabled\": false,\n \"primary\": true\n },\n \"displayName\": \"Johny\",\n \"firstName\": \"John\",\n \"lastName\": \"Smith\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/addUser")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"authnIdentifiers\": {\n \"value\": \"Johny@example.com\",\n \"mfaEnabled\": false,\n \"primary\": true\n },\n \"displayName\": \"Johny\",\n \"firstName\": \"John\",\n \"lastName\": \"Smith\"\n}"
response = http.request(request)
puts response.read_body{
"authnIdentifier": "Johny@example.com",
"userId": 2345,
"message": {
"dispatcherName": "emailService",
"destination": "Johny@example.com",
"tenantId": "nxt",
"locale": "en",
"smsTemplate": "sms_template",
"emailHeaderTemplate": "email_header_template",
"emailBodyTemplate": "email_body_template",
"dispatcherParameters": {},
"templatesParams": {}
}
}{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid-input-error",
"message": "No primary authentication identifier provided"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "already-exist-email",
"message": "email already exists"
}
]
}Authorizations
OAuth 2.0 Authentication
Body
application/json

